Subject: bug#71778: 30.0.60; Eshell hangs when switching buffers during output redirection

From: Jim Porter <[email-masked]>
Date: Wed, 26 Jun 2024 08:57:16 -0700

On 6/26/2024 6:01 AM, Eli Zaretskii wrote:
> Thanks.  But in the future, please install bugfix changes for Emacs 30
> on the release branch; they will be merged to master when one of us
> does such merges (which happens every few days as a matter of
> routine).  The "install-on-master-then-cherry-pick" method should be
> reserved for the rare cases where a change is installed on master
> either by mistake or because the author believed it was not
> appropriate for the release branch.

Sorry about that. I'd accidentally merged to master first, so had to fix 
things up by cherry-picking.